Bug 9291 - Segmentation fault at startup in galculator-1.2.4-alt1
: Segmentation fault at startup in galculator-1.2.4-alt1
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/galculator)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-03-20 23:13 by
Modified: 2006-12-20 11:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-20 23:13:30
$ galculator 
[galculator] configuration file: couldn't open configuration file
/home/eugine/.galculator for reading. Nothing to worry about if you are starting
galculator for the first time. Using defaults.

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed

(galculator:7492): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table
!= NULL' failed
Segmentation fault

Steps to Reproduce:
1. Launch galculator
2. See output
3.
Actual Results:  
See description

Expected Results:  
Galculator started
------- Comment #1 From 2006-03-20 23:21:02 -------
$ rpm -q galculator
galculator-1.2.4-alt1
------- Comment #2 From 2006-04-09 11:20:54 -------
> $ rpm -q galculator
> galculator-1.2.4-alt1

У меня немного по другому, но тоже падает:

$ galculator
*** glibc detected *** free(): invalid pointer: 0x081a71a8 ***
Aborted

------- Comment #3 From 2006-04-09 11:41:33 -------
> $ galculator
> *** glibc detected *** free(): invalid pointer: 0x081a71a8 ***
> Aborted

Собрал у себя новую версию 1.2.5.2 -- она не падает. Наверно имеет смысл собрать 
её в Сизиф.
------- Comment #4 From 2006-09-15 09:57:58 -------
Смена мейнтейнера.
------- Comment #5 From 2006-09-15 09:58:46 -------
Версия 1.2.5.2 собрана, у меня не падает.
------- Comment #6 From 2006-12-14 07:23:48 -------
До сих пор в Сизифе лежит 1.2.4, который падает. И тянется это уже больше 8-ми
месяцев. При этом баг помечен как RESOLVED FIXED. Где сборка 1.2.5.2, которую
обещали выложить в Сизиф ещё в сентябре?
------- Comment #7 From 2006-12-15 11:10:32 -------
Это баг, что он RESOLVED FIXED :) Он должен быть REOPENED.
По существу бага пока ничем порадовать не могу. mike@ вроде бы хотел собрать,
но
возможно, incoming так и не дал ему разрешения на это.
------- Comment #8 From 2006-12-15 17:22:03 -------
touch; rsync

в list.src всё путём 
------- Comment #9 From 2006-12-15 21:26:32 -------
Тьфу, в смысле rsync обломался -- там уже такое пылилось.  Убегая из офиса,
быстренько сделал и влил 1.2.5.2-alt1.1.  У нас работает в интересах закашшика.
:)
------- Comment #10 From 2006-12-20 06:20:36 -------
(In reply to comment #9)
> Тьфу, в смысле rsync обломался -- там уже такое пылилось.  Убегая из офиса,
> быстренько сделал и влил 1.2.5.2-alt1.1.  У нас работает в интересах закашшика. :)

[denis@ogion ~]$ rpm -q galculator
galculator-1.2.5.2-alt1.1

Вот теперь всё работает. И то, что alt1.1 тоже хорошо, т.к. автоматом заменила
мою локальную сборку, которая была обозначена как alt1. :)

Думаю, что можно закрывать багу, тому кто может.
------- Comment #11 From 2006-12-20 11:33:07 -------
Угу.